Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
devsettings::Snmp::ConfigurationChangedEvent Struct Reference
Inheritance diagram for devsettings::Snmp::ConfigurationChangedEvent:

## Public Attributes
string | userName
| user who triggered event
string | ipAddr
| ip or device on which user is logged in
Configuration | oldConfig
| old configuration
Configuration | newConfig
| new configuration
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Definition at line 29 of file Snmp.idl.

## Member Data Documentation

## ◆ ipAddr

string devsettings::Snmp::ConfigurationChangedEvent::ipAddr

ip or device on which user is logged in

Definition at line 31 of file Snmp.idl.

## ◆ newConfig

Configuration devsettings::Snmp::ConfigurationChangedEvent::newConfig

new configuration

Definition at line 33 of file Snmp.idl.

## ◆ oldConfig

Configuration devsettings::Snmp::ConfigurationChangedEvent::oldConfig

old configuration

Definition at line 32 of file Snmp.idl.

## ◆ userName

string devsettings::Snmp::ConfigurationChangedEvent::userName

user who triggered event

Definition at line 30 of file Snmp.idl.

The documentation for this struct was generated from the following file:

- Snmp.idl